
Infrastructure - Task #1037

Bug # 1034 (Closed): identifier in resolve response objectLocation/url not escaped

develop integration tests for the urlencoded OLLs

2010-11-07 20:10 - Rob Nahf

Status: Closed Start date: 2010-11-07

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 4.00 hours

Target version: Sprint-2011.01   

Milestone:  Story Points:  

Product Version: *   

Description

Need to make sure that urlencoded urls work in practice.  Integration tests should operate on real objects retrievable by cn/meta/{id}. 

Special attention paid to '?', '/' characters, and the non-ascii characters from other alphbets  (those with umlauts, e.g.)

History

#1 - 2010-11-12 23:00 - Rob Nahf

created useful test cases in the D1_integration package.  Problems in mn.create (can't create guids with escaped sequences) currently block this one

(#1076)

#2 - 2010-11-16 06:47 - Rob Nahf

- translation missing: en.field_remaining_hours set to 2.0

#3 - 2010-11-19 16:57 - Rob Nahf

- translation missing: en.field_remaining_hours changed from 2.0 to 0.5

Remaining work: run the tests after blocking tasks are done.

#4 - 2011-01-10 03:58 - Rob Nahf

- Target version changed from Sprint-2011.01 to Sprint-2011.02

#5 - 2011-01-10 04:00 - Rob Nahf

- % Done changed from 80 to 100

can't seem to set this task to closed

#6 - 2011-01-10 04:01 - Rob Nahf

- translation missing: en.field_remaining_hours deleted (0.5)

#7 - 2011-01-10 17:24 - Rob Nahf

- Status changed from In Progress to Closed

encoding tests against ascii characters pass for knb (D1ClientTest) and cn (D1ClientCNodeTest).

Tests for higher unicode characters is deferred.
